4Suite™ API Documentation

# ► Module Ft.Share.ExtensionModules.CribbageXsltExtensions

XSLT extension elements for the Cribbage demo
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: CountHand, DrawCribbageBoard |  |  |  | Fields: CARD_EXTENSION_NAMESPACE, ExtElements, ExtNamespaces

## Classes

class CountHand(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
ctr = 29
legalAttrs = {'card1': <Ft.Xml.Xslt.AttributeInfo.Expression instance>, 'card2': <Ft.Xml.Xslt.AttributeInfo.Expression instance>, 'card3': <Ft.Xml.Xslt.AttributeInfo.Expression instance>, 'card4': <Ft.Xml.Xslt.AttributeInfo.Expression instance>, 'draw': <Ft.Xml.Xslt.AttributeInfo.Expression instance>}
p1ScoreMap = {1: (0, 0), 2: (0, 1), 3: (0, 2), 4: (0, 3), 5: (0, 4), 6: (0, 5), 7: (0, 6), 8: (0, 7), 9: (0, 8), 10: (0, 9), ...}
p2ScoreMap = {1: (1, 0), 2: (1, 1), 3: (1, 2), 4: (1, 3), 5: (1, 4), 6: (1, 5), 7: (1, 6), 8: (1, 7), 9: (1, 8), 10: (1, 9), ...}

### Fields

class DrawCribbageBoard(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
ctr = 29
legalAttrs = {'p1-scores': <Ft.Xml.Xslt.AttributeInfo.NodeSetExpression instance>, 'p2-scores': <Ft.Xml.Xslt.AttributeInfo.NodeSetExpression instance>}
p1ScoreMap = {1: (0, 0), 2: (0, 1), 3: (0, 2), 4: (0, 3), 5: (0, 4), 6: (0, 5), 7: (0, 6), 8: (0, 7), 9: (0, 8), 10: (0, 9), ...}
p2ScoreMap = {1: (1, 0), 2: (1, 1), 3: (1, 2), 4: (1, 3), 5: (1, 4), 6: (1, 5), 7: (1, 6), 8: (1, 7), 9: (1, 8), 10: (1, 9), ...}

### Fields

CARD_EXTENSION_NAMESPACE = u'http://xmlns.4suite.org/demos/cards'
ExtElements = {(u'http://xmlns.4suite.org/demos/cards', 'draw-cribbage-board'): <class Ft.Share.ExtensionModules.CribbageXsltExtensions.DrawCribbageBoard>}
ExtNamespaces = {u'http://xmlns.4suite.org/demos/cards': 'cext'}